export = deleteUser;
/**
 * # Update User
 * @async
 *
 * @param {object} params - API Key
 * @param {String} [params.key] - API Key
 * @param {String} [params.database] - Target Database
 * @param {String | number} params.deletedUserId - Target Database
 * @param {boolean} [params.user_id] - User ID
 * @param {boolean} [params.useLocal]
 *
 * @returns { Promise<import("../package-shared/types").UpdateUserFunctionReturn>}
 */
declare function deleteUser({ key, database, user_id, useLocal, deletedUserId }: {
    key?: string;
    database?: string;
    deletedUserId: string | number;
    user_id?: boolean;
    useLocal?: boolean;
}): Promise<import("../package-shared/types").UpdateUserFunctionReturn>;
